<div xmlns="http://www.w3.org/1999/xhtml" xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content">
  <h1 class="extension">extension: singular</h1>
  <p>  Singular is a computer algebra system for polynomial computations, with special emphasis on commutative and non-commutative algebra, algebraic geometry, and singularity theory. It is free and open-source under the GNU General Public Licence.<br/>  http://www.singular.uni-kl.de/<br/></p>
  <h1>application: ideal</h1>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__ideal__Groebner__7" onclick="swap_content('span:ideal__ideal__Groebner__7'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="ideal__ideal__Groebner__7" onclick="swap_content('span:ideal__ideal__Groebner__7'); return false;">
                  <span class="object">Groebner</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__ideal__Groebner__7" class="foldit">
              <div class="level3"/>
              <h4>Properties of Groebner</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__Singular_interface__29" onclick="swap_content('span:ideal__ideal__Singular_interface__29'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <div class="category">
                        <h3>
                          <a href="#" class="javalink" id="ideal__ideal__Singular_interface__29" onclick="swap_content('span:ideal__ideal__Singular_interface__29'); return false;">
                            <span class="category">Singular interface</span>
                          </a>
                        </h3>
                      </div>
                      <div style="display: inline" id="span:ideal__ideal__Singular_interface__29" class="foldit">
                        <div class="descr">
                          <p> Functions, methods and objects and attached from/to Singular.</p>
                        </div>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:ideal__ideal__SINGULAR_IDEAL__46" onclick="swap_content('span:ideal__ideal__SINGULAR_IDEAL__46'); return false;">
		 	
	</div>
                              <div class="unfoldable">
                                <a href="#" class="javalink" id="ideal__ideal__SINGULAR_IDEAL__46" onclick="swap_content('span:ideal__ideal__SINGULAR_IDEAL__46'); return false;"><b>SINGULAR_IDEAL</b>:
		</a>
                                <a href="&#10;&#9;&#9;&#9;#ideal__ideal__SingularIdeal__22" onclick="unfold('span:ideal__ideal__SingularIdeal__22');">SingularIdeal</a>
                                <br/>
                                <div style="display: inline" id="span:ideal__ideal__SINGULAR_IDEAL__46" class="foldit">
                                  <div class="descr">
                                    <p> Intermediate object wrapping the Singular objects, i.e. the ring with the monomial ordering and the ideal.</p>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <h4>User Methods of Groebner</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__division__28" onclick="swap_content('span:ideal__ideal__division__28'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__division__28" onclick="swap_content('span:ideal__ideal__division__28'); return false;"><b>division</b></a>
			()  

			<div style="display: inline" id="span:ideal__ideal__division__28" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__reduce__27" onclick="swap_content('span:ideal__ideal__reduce__27'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__reduce__27" onclick="swap_content('span:ideal__ideal__reduce__27'); return false;"><b>reduce</b></a>
			(p)  

			
				→ Polynomial<div style="display: inline" id="span:ideal__ideal__reduce__27" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Reduce a <a href="common.html#common__Polynomial__307" onclick="unfold('span:common__Polynomial__307');">Polynomial</a> <em class="param">p</em> with respect to the Groebner basis.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__307" onclick="unfold('span:common__Polynomial__307');">Polynomial</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__307" onclick="unfold('span:common__Polynomial__307');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__ideal__Ideal__6" onclick="swap_content('span:ideal__ideal__Ideal__6'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="ideal__ideal__Ideal__6" onclick="swap_content('span:ideal__ideal__Ideal__6'); return false;">
                  <span class="object">Ideal</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__ideal__Ideal__6" class="foldit">
              <div class="level3"/>
              <h4>User Methods of Ideal</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__contains_monomial__24" onclick="swap_content('span:ideal__ideal__contains_monomial__24'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__contains_monomial__24" onclick="swap_content('span:ideal__ideal__contains_monomial__24'); return false;"><b>contains_monomial</b></a>
			(s)  

			
				→ Polynomial<div style="display: inline" id="span:ideal__ideal__contains_monomial__24" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check via saturation whether the ideal contains a monomial.
 Returns a monomial from the ideal or the trivial monomial if there is none.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__323" onclick="unfold('span:common__String__323');">String</a></td><td class="param">s</td><td><div class="descr"><div>Optional term order (see <a href="ideal.html#ideal__ORDER_NAME__50" onclick="unfold('span:ideal__ORDER_NAME__50');">ORDER_NAME</a>) for intermediate Groebner bases, default: "dp"</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__Polynomial__307" onclick="unfold('span:common__Polynomial__307');">Polynomial</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__SOLVE__23" onclick="swap_content('span:ideal__ideal__SOLVE__23'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__SOLVE__23" onclick="swap_content('span:ideal__ideal__SOLVE__23'); return false;"><b>SOLVE</b></a>
			()  

			<div style="display: inline" id="span:ideal__ideal__SOLVE__23" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__ideal__Singular_interface__9" onclick="swap_content('span:ideal__ideal__Singular_interface__9'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="ideal__ideal__Singular_interface__9" onclick="swap_content('span:ideal__ideal__Singular_interface__9'); return false;">
                  <span class="category">Singular interface</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__ideal__Singular_interface__9" class="foldit">
              <div class="descr">
                <p> Functions, methods and objects and attached from/to Singular.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__load_singular_library__19" onclick="swap_content('span:ideal__ideal__load_singular_library__19'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__load_singular_library__19" onclick="swap_content('span:ideal__ideal__load_singular_library__19'); return false;"><b>load_singular_library</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__ideal__load_singular_library__19" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Loads a SINGULAR library</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__323" onclick="unfold('span:common__String__323');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__quotient__17" onclick="swap_content('span:ideal__ideal__quotient__17'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__quotient__17" onclick="swap_content('span:ideal__ideal__quotient__17'); return false;"><b>quotient</b></a>
			(I, J)  

			
				→ Ideal<div style="display: inline" id="span:ideal__ideal__quotient__17" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes an ideal quotient via SINGULAR</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="ideal.html#ideal__Ideal__6" onclick="unfold('span:ideal__Ideal__6');">Ideal</a></td><td class="param">I</td><td/></tr><tr><td><a href="ideal.html#ideal__Ideal__6" onclick="unfold('span:ideal__Ideal__6');">Ideal</a></td><td class="param">J</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="ideal.html#ideal__Ideal__6" onclick="unfold('span:ideal__Ideal__6');">Ideal</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__singular_eval__18" onclick="swap_content('span:ideal__ideal__singular_eval__18'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__singular_eval__18" onclick="swap_content('span:ideal__ideal__singular_eval__18'); return false;"><b>singular_eval</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__ideal__singular_eval__18" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Executes given string with Singular</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__323" onclick="unfold('span:common__String__323');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__singular_get_int__20" onclick="swap_content('span:ideal__ideal__singular_get_int__20'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__singular_get_int__20" onclick="swap_content('span:ideal__ideal__singular_get_int__20'); return false;"><b>singular_get_int</b></a>
			(s)  

			<div style="display: inline" id="span:ideal__ideal__singular_get_int__20" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Retrieves an int variable from 'Singular'</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__323" onclick="unfold('span:common__String__323');">String</a></td><td class="param">s</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__singular_get_var__21" onclick="swap_content('span:ideal__ideal__singular_get_var__21'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="ideal__ideal__singular_get_var__21" onclick="swap_content('span:ideal__ideal__singular_get_var__21'); return false;"><b>singular_get_var</b></a>
			(s)  

			
				→ List<div style="display: inline" id="span:ideal__ideal__singular_get_var__21" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Retrieves a variable from 'Singular'</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#common__String__323" onclick="unfold('span:common__String__323');">String</a></td><td class="param">s</td><td><div class="descr"><div>variable name</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="common.html#common__List__326" onclick="unfold('span:common__List__326');">List</a></td><td><div class="descr"><div>( Matrix polynomial exponents Vector polynomial coefficients )</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:ideal__ideal__Singular_interface__11" onclick="swap_content('span:ideal__ideal__Singular_interface__11'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="ideal__ideal__Singular_interface__11" onclick="swap_content('span:ideal__ideal__Singular_interface__11'); return false;">
                  <span class="category">Singular interface</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:ideal__ideal__Singular_interface__11" class="foldit">
              <div class="descr">
                <p> Functions, methods and objects and attached from/to Singular.</p>
              </div>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:ideal__ideal__SingularIdeal__22" onclick="swap_content('span:ideal__ideal__SingularIdeal__22'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="ideal__ideal__SingularIdeal__22" onclick="swap_content('span:ideal__ideal__SingularIdeal__22'); return false;">
                        <b>SingularIdeal</b>
                      </a>
                      <div style="display: inline" id="span:ideal__ideal__SingularIdeal__22" class="foldit">
                        <div class="descr">
                          <p> An intermediate object wrapping the ideal on the Singular side and providing its methods.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
